package com.something.layout;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.wb.core.editor.actions.assistant.AbstractAssistantPage;
import org.eclipse.wb.internal.core.utils.ui.GridDataFactory;
import org.eclipse.wb.internal.core.utils.ui.GridLayoutFactory;

public class SomeLayoutAssistantPage extends AbstractAssistantPage {
	// //////////////////////////////////////////////////////////////////////////
	//
	// Constructor
	//
	// //////////////////////////////////////////////////////////////////////////
	public SomeLayoutAssistantPage(Composite parent, Object selection) {
		super(parent, selection);
		GridLayoutFactory.create(this).columns(2);
		// orientation
		{
			Group orientationGroup = addChoiceProperty(this, "type", "Orientation", new Object[][] {
					new Object[] { "Horizontal", SWT.HORIZONTAL }, new Object[] { "Vertical", SWT.VERTICAL } });
			GridDataFactory.create(orientationGroup).fillV();
		}
		// spacing
		{
			Group spacingGroup = addIntegerProperties(this, "Margin && Spacing", new String[][] {
					new String[] { "marginWidth", "Margin width:" }, new String[] { "marginHeight", "Margin height:" },
					new String[] { "spacing", "Spacing:" } });
			GridDataFactory.create(spacingGroup).fillV();
		}
	}
}
